Subject: [netconf] universal crypto algorithm registry - yet more delay?

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 22 Jul 2019 17:30:36 +0200

Hi,

I have listened to the WG discussions today and I am wondering whether
NETCONF should really be defining a universal crypto algorithm
registry. To me, this seems to be an activity that (if needed) should
be done in the security area.

My concern is not so much an organizational one but more about the
time it takes to deliver the client and server configuration drafts.
The first WG server configuration draft was posted on May 2014, more
than 5 years ago (draft-ietf-netconf-server-model-00). I do appreciate
Kent's efforts to generalize the solution every year but we also need
to deliver something at some point in time that people can implement
and use. It seems that creating a universal crypto algorithm registry
may be yet another unknown we dive into. Can we not design what we
have in such that we may in the future use such a universal crypto
algorithm registry (but we do not have to create it and wait for it to
be created)? Or is this universal crypto algorithm registry just a
small short effort given the other open issues that are still being
discussed?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

---

From: Andy Bierman <[email-masked]>
Date: Mon, 22 Jul 2019 13:05:18 -0700

> small short effort given the other open issues that are still being

+1 to 'no more delays'.
These drafts have been very unstable and seeing the slide that showed 1 of
4 parts done
and 3 of 4 that need to be done over suggests this is not going to change
any time soon.

> /js
Andy

> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Balázs Lengyel <[email-masked]>
Date: Mon, 22 Jul 2019 21:29:14 +0000

+1 for no delays. We might be forced to implement draft versions already. 

Regards Balazs

From: netconf <[email-masked]> On Behalf Of Andy Bierman
Sent: 2019. július 22., hétfő 16:05
To: Juergen Schoenwaelder <[email-masked]>; Netconf <[email-masked]>
Subject: Re: [netconf] universal crypto algorithm registry - yet more delay?

On Mon, Jul 22, 2019 at 8:30 AM Juergen Schoenwaelder <[email-masked] <mailto:[email-masked]> > wrote:

Hi,

 

+1 to 'no more delays'.

These drafts have been very unstable and seeing the slide that showed 1 of 4 parts done

and 3 of 4 that need to be done over suggests this is not going to change any time soon.

/js

Andy

_______________________________________________
netconf mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/netconf